<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	 xmlns:p="http://primefaces.org/ui"
	
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:b="http://bootsfaces.net/ui">
		<html>
	  <h:head>  
<link type="text/css" href="assets/libs/bootstrap/css/bootstrap.css" rel="stylesheet"/>
    </h:head>
	<body>
		<div id="Menu">
		<ui:include src="/HomeHRManager.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		
		 <div class="col-md-offset-3">
		 <center><h1><STRONG>Supplementary Hours HR</STRONG></h1></center>
		  <ui:fragment   >
<div class="row">
					<div class="col-md-12">
						<div class="widget">
							<div class="widget-header transparent">
								<h2><strong>Supplementary Hours </strong> Table</h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content">
								<div class="data-table-toolbar">
								
			
									<div class="row">
										<div class="col-md-4">
										
											
											
											<h:form>
											
											</h:form>
										</div>
										<div class="col-md-8">
											<div class="toolbar-btn-action">
											<h:form>
											
											    <h:commandLink action="supplementaryHourAdd" value="Add new" styleClass="btn btn-success"><i class="fa fa-plus-circle"></i></h:commandLink>
												<h:outputText value="&#160;" />
												<h:commandLink action="/SupplementaryHouHR?faces-redirect=true" value="Update" styleClass="btn btn-flickr"><i class="fa fa-refresh"></i></h:commandLink>
												</h:form>
											</div>
										</div>
									</div>
								</div>
									
								<div class="table-responsive">
								<h:form>
								<h:dataTable value="#{supplementaryHoursBean.additionalHours}" class="table table-hover table-striped" var="e" 
				rendered="#{leavesBean.showUpdate}">
									
										
				<h:column id="c1">
					<f:facet name="header">
						<h:outputText value="Date"  />
					</f:facet>
					<h:outputText value="#{e.dateOfHour}" />
					
				</h:column>
				<h:column id="c2">
					<f:facet name="header">
						<h:outputText value="Duration" />
					</f:facet>
					<h:outputText value="#{e.duration}" />
					
				</h:column>
				
				<h:column id="c3">
					<f:facet name="header">
						<h:outputText value="Type"  />
					</f:facet>
					 
					<h:outputText value="#{e.type}" class="label label-success"  />
					
				</h:column>
				<h:column id="c4">
					<f:facet name="header">
						<h:outputText value="Employee"  />
					</f:facet>
		
					<h:outputText value="#{e.employee.familyName}"  />
					<h:outputText value="&#160;" />
					<h:outputText value="#{e.employee.name}"  />
				</h:column>
				<h:column id="c5">
					<f:facet name="header">
						<h:outputText value="Option" />
					</f:facet>
					
						
					<h:outputText value="&#160;" />
           <p:commandLink value="delete"  styleClass="btn btn-red-1" onclick="PF('#{e.id}').show();" /> 
				</h:column>
				
									</h:dataTable>
									</h:form>
								</div>
									
								
							</div>
						</div>
					</div>
						
				</div>
</ui:fragment>
				  
		
			</div></div>
</div>

<ui:repeat value="#{supplementaryHoursBean.additionalHours}" var="e"> 
	<p:dialog header="Delete Supplimantary Hours" widgetVar="#{e.id}" modal="true" height="300" width="350">
	<strong>
    <h:outputText   value="your will delete this Supplementary Hour :" /></strong><br></br>
    <h:outputText value="&lt;br/&gt;" escape="false" />
    Employeee : <strong><h:outputText value="#{e.employee.name }" />
    
    <h:outputText value="#{e.employee.familyName }" /></strong> <br></br>
   <h:outputText value="&lt;br/&gt;" escape="false" />
       Date : <strong><h:outputText value="#{e.dateOfHour }" />
    </strong> <br></br>
    <h:outputText value="&lt;br/&gt;" escape="false" />
       Duration : <strong><h:outputText value="#{e.duration }" />
    </strong> <br></br>
    
    <h:outputText value="&lt;br/&gt;" escape="false" />
    <h:outputText value="&lt;br/&gt;" escape="false" />
    <h:outputText value="&lt;br/&gt;" escape="false" />
    <h:form>
    <p:commandButton value="delete"  styleClass="btn btn-red-1" onclick="/SupplementaryHouHR?faces-redirect=true"  action="#{supplementaryHoursBean.deleteA(e)}"  /> 
    </h:form>
    
</p:dialog>   

</ui:repeat> 
</body>
	
</html>
</ui:composition>


